=== drivers/misc/Makefile ===
#
# Makefile for misc devices that really don't fit anywhere else.
#
# Note! Dependencies are done automagically by 'make dep', which also
# removes any old dependencies. DON'T put your own dependencies here
# unless it's something special (ie not a .c file).
#
# Note 2! The CFLAGS definitions are now inherited from the
# parent makes..
#

.S.o:
	$(CC) $(AFLAGS) $(AFLAGS_$@) -c $< -o $*.o

O_TARGET := misc.o

ifeq ($(CONFIG_BLK_DEV_LOOP_AES),y)
AES_X86_ASM=n
ifeq ($(CONFIG_X86),y)
ifneq ($(CONFIG_X86_64),y)
  AES_X86_ASM=y
endif
endif
ifeq ($(AES_X86_ASM),y)
  export-objs += crypto-ksym.o
  obj-y       += aes-x86.o md5-x86.o crypto-ksym.o
  AFLAGS_aes-x86.o := -DUSE_UNDERLINE=1
else
ifeq ($(CONFIG_X86_64),y)
  export-objs += crypto-ksym.o
  obj-y       += aes-amd64.o md5-amd64.o crypto-ksym.o
  AFLAGS_aes-amd64.o := -DUSE_UNDERLINE=1
else
  export-objs += crypto-ksym.o
  obj-y       += aes.o md5.o crypto-ksym.o
  CFLAGS_aes.o := -DDATA_ALWAYS_ALIGNED=1
endif
endif
endif

include $(TOPDIR)/Rules.make

fastdep:
