=== fs/shfs/Makefile ===
#
# Makefile for the linux shfs filesystem routines.
#
# Note! Dependencies are done automagically by 'make dep', which also
# removes any old dependencies. DON'T put your own dependencies here
# unless it's something special (not a .c file).
#
# Note 2! The CFLAGS definitions are now in the main makefile.

O_TARGET := shfs.o

obj-y    := dcache.o dir.o fcache.o file.o inode.o ioctl.o proc.o shell.o symlink.o

obj-m    := $(O_TARGET)

# just if you want debug output
# there are 4 DEBUG modes (see shfs_debug.h):
# DEBUG_LEVEL = 0	=>	DEBUG deactivated
# DEBUG_LEVEL = 1	=>	VERBOSE
# DEBUG_LEVEL = 2	=>	ALLOC_DEBUG
# DEBUG_LEVEL = 3	=>	real DEBUG

ifdef CONFIG_SH_FS_DEBUG0
	DEBUG_LEVEL=0
endif
ifdef CONFIG_SH_FS_DEBUG1
	DEBUG_LEVEL=1
endif
ifdef CONFIG_SH_FS_DEBUG2
	DEBUG_LEVEL=2
endif
ifdef CONFIG_SH_FS_DEBUG3
	DEBUG_LEVEL=3
endif

CFLAGS_proc.o += -finline-functions

include $(TOPDIR)/Rules.make
