=== fs/squashfs/Makefile ===
#
# Makefile for the linux squashfs routines.
#

O_TARGET := squashfs.o

obj-y  := inode.o

obj-m := $(O_TARGET)

include $(TOPDIR)/Rules.make
