=== gradm2/debian/control ===
Source: gradm2
Section: admin
Priority: optional
Maintainer: László Böszörményi (GCS) <gcs@lsc.hu>
Build-Depends: debhelper (>> 4.0.0), bison, flex
Standards-Version: 3.6.1

Package: gradm2
Architecture: any
Suggests: kernel-patch-grsecurity2
Depends: ${misc:Depends}
Description: Administration program for the grsecurity2 RBAC based ACL system
 Used to manage the RBAC based ACL system of grsecurity2. Please note that you
 will need a specially patched kernel for grsecurity to work (see the
 kernel-patch-grsecurity2 Debian package). You can find more information
 about grsecurity at http://www.grsecurity.net/
