=== gradm2/debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_COMPAT=4

BUILDDIR=$(CURDIR)/debian/gradm2

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

debian/po/templates.pot: debian/templates
	@debconf-updatepo

clean: debian/po/templates.pot
	dh_testdir

	rm -f build-stamp install-stamp
	$(MAKE) clean
	dh_clean

build: build-stamp

build-stamp:
	dh_testdir

	$(MAKE)
	touch $@

install: install-stamp

install-stamp: build
	dh_testdir

	$(MAKE) install DESTDIR=$(BUILDDIR)
	rm -rf $(BUILDDIR)/dev/
	install -d $(BUILDDIR)/usr/share/lintian/overrides/
	install -m0644 $(CURDIR)/debian/lintian.overrides $(BUILDDIR)/usr/share/lintian/overrides/gradm2
	touch $@

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_installdebconf
	dh_installdocs
	dh_installman debian/grlearn.8
	dh_installchangelogs
	dh_compress
	dh_strip
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: clean build binary-indep binary-arch binary install
